package ncrashed.warp.api;

import java.util.List;

public interface IMarker 
{
	/**
	 * Получение ядер, к которому привязан маркер.
	 * @return
	 */
	List<IWarpCore> getBindedCores();
	
	/**
	 * Если ядро привязано к хотя бы одному маркерку вернет true.
	 * @return
	 */
	boolean isBinded();
	
	/**
	 * Получение количества ядер, к которым привязан маркер.
	 * @return
	 */
	int getCoresCount();
	
	/**
	 * Попытка привязки маркера к ядру.
	 * @param core
	 */
	void tryBindCore(IWarpCore core);
}
